package reksten.base;

@SuppressWarnings("unchecked")
public class ResultEntry<Data extends DataObject> implements Comparable<ResultEntry> {

	private Data object;
	private float distance;
	
	public ResultEntry(Data object, float distance) {
		this.object = object;
		this.distance = distance;
	}
	
	public Data getObject() {
		return this.object;
	}
	
	public float distance() {
		return this.distance;
	}
	
	public int compareTo(ResultEntry entry) {
		if(this.distance>entry.distance)return -1;
		if(this.distance<entry.distance)return 1;
		return 0;
	}
	
}
