package reksten.base;

import java.io.IOException;
import java.util.List;

public interface SimSearchIndex<Data extends DataObject> {

	public List<Data> rangeSearch(Data query, float range);
	public List<Data> kNearestNeighborSearch(Data query, int K);
	public void insert(Data query) throws IOException;
	
}
